<?xml version="1.0" encoding="utf-8" ?>
<!DOCTYPE erlref SYSTEM "erlref.dtd">

<erlref>
  <header>
    <copyright>
      <year>1999</year>
      <year>2013</year>
      <holder>Ericsson AB, All Rights Reserved</holder>
    </copyright>
    <legalnotice>
  Licensed under the Apache License, Version 2.0 (the "License");
  you may not use this file except in compliance with the License.
  You may obtain a copy of the License at
 
      http://www.apache.org/licenses/LICENSE-2.0

  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the License for the specific language governing permissions and
  limitations under the License.

  The Initial Developer of the Original Code is Ericsson AB.
    </legalnotice>

    <title>CosTransactions_Control</title>
    <prepared>Niclas Eklund</prepared>
    <responsible>Niclas Eklund</responsible>
    <docno></docno>
    <approved>Niclas Eklund</approved>
    <checked></checked>
    <date>1999-04-12</date>
    <rev>PA1</rev>
  </header>
  <module>CosTransactions_Control</module>
  <modulesummary>This module implements the OMG CosTransactions::Control interface.</modulesummary>
  <description>
    <p>To get access to the record definitions for the structures use:      <br></br>
<c>-include_lib("cosTransactions/include/CosTransactions.hrl").</c></p>
  </description>
  <funcs>
    <func>
      <name>get_coordinator(Control) -> Return</name>
      <fsummary>Return the Coordinator object associated with the target object</fsummary>
      <type>
        <v>Control = #objref</v>
        <v>Return =  Coordinator | {'EXCEPTION', E}</v>
        <v>Coordinator = #objref</v>
        <v>E = #'CosTransactions_Unavailable' {}</v>
      </type>
      <desc>
        <p>This operation returns the Coordinator object associated with the target object.
          The Coordinator supports operations for termination of a transaction.</p>
      </desc>
    </func>
    <func>
      <name>get_terminator(Control) -> Return</name>
      <fsummary>Return the Terminator object associated with the target object</fsummary>
      <type>
        <v>Control = #objref</v>
        <v>Return =  Terminator | {'EXCEPTION', E}</v>
        <v>Terminator = #objref</v>
        <v>E = #'CosTransactions_Unavailable' {}</v>
      </type>
      <desc>
        <p>This operation returns the Terminator object associated with the target object.
          The Terminator supports operations for termination of a transaction.</p>
      </desc>
    </func>
  </funcs>
  
</erlref>

